# ncurses 5.9 - patch  - Thomas E. Dickey
#
# ------------------------------------------------------------------------------
#
# Ncurses 5.9 is at
# 	ftp.gnu.org:/pub/gnu
#
# Patches for ncurses 5.9 are in the subdirectory
# 	ftp://invisible-island.net/ncurses/5.9
#
# ------------------------------------------------------------------------------
# ftp://invisible-island.net/ncurses/5.9/ncurses-5.9-20150117.patch.gz
# patch by Thomas E. Dickey <dickey@invisible-island.net>
# created  Sun Jan 18 01:43:30 UTC 2015
# ------------------------------------------------------------------------------
# INSTALL                          |   26 +++++++++++++++++++-------
# NEWS                             |    7 ++++++-
# VERSION                          |    2 +-
# dist.mk                          |    4 ++--
# package/debian-mingw/changelog   |    4 ++--
# package/debian-mingw64/changelog |    4 ++--
# package/debian/changelog         |    4 ++--
# package/mingw-ncurses.nsi        |    4 ++--
# package/mingw-ncurses.spec       |    2 +-
# package/ncurses.map              |    4 ++--
# package/ncurses.spec             |    2 +-
# package/ncurses.sym              |    3 ++-
# package/ncursest.map             |    4 ++--
# package/ncursest.sym             |    3 ++-
# package/ncursestw.map            |    4 ++--
# package/ncursestw.sym            |    3 ++-
# package/ncursesw.map             |    4 ++--
# package/ncursesw.sym             |    3 ++-
# 18 files changed, 54 insertions(+), 33 deletions(-)
# ------------------------------------------------------------------------------
Index: INSTALL
Prereq:  1.180 
--- ncurses-5.9-20150110+/INSTALL	2014-12-14 00:13:57.000000000 +0000
+++ ncurses-5.9-20150117/INSTALL	2015-01-17 23:20:46.000000000 +0000
@@ -1,5 +1,5 @@
 -------------------------------------------------------------------------------
--- Copyright (c) 1998-2013,2014 Free Software Foundation, Inc.               --
+-- Copyright (c) 1998-2014,2015 Free Software Foundation, Inc.               --
 --                                                                           --
 -- Permission is hereby granted, free of charge, to any person obtaining a   --
 -- copy of this software and associated documentation files (the             --
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: INSTALL,v 1.180 2014/12/14 00:13:57 tom Exp $
+-- $Id: INSTALL,v 1.183 2015/01/17 23:20:46 tom Exp $
 ---------------------------------------------------------------------
              How to install Ncurses/Terminfo on your system
 ---------------------------------------------------------------------
@@ -1129,15 +1129,27 @@
     --with-versioned-syms[=XXX]
 	The Solaris, GNU and reportedly some other linkers (ld) accept a
 	"--version-script" option which tells the linker to annotate the
-	resulting objects with version identifiers.  The configure script
-	will automatically apply a suitable ".map" file to provide this
-	information for Linux.  Solaris mapfiles differ:
+	resulting objects with version identifiers.
+	
+	Use "objdump -T" on a library to see the annotations.
+
+	The configure script will automatically apply a suitable ".map" file to
+	provide this information for Linux.  Solaris mapfiles differ:
 
 	a) comments are not accepted
-	b) wildcards are not accepted
+	b) wildcards are not accepted, except for a special case of "_*".
 	c) each symbol listed in the map file must exist in the library
 
-	Use "objdump -T" on a library to see the annotations.
+	The Solaris limitations conflict with the development goal of providing
+	a small set of ".map" files as examples, which cover the most common
+	configurations.  Because that coverage is done by merging together
+	several builds, some symbols will be listed in the the ".map" files
+	that do not happen to be present in one configuration or another.
+
+	These sample ".map" files will not cover all possible combinations.
+	In some cases, e.g., when using the --with-weak-symbols option, you
+	may prefer to use a different ".map" file by setting this option's
+	value.
 
     --with-xterm-kbs=XXX
 	Configure xterm's terminfo entries to use either BS (^H, i.e., ASCII
Index: NEWS
Prereq:  1.2334 
--- ncurses-5.9-20150110+/NEWS	2015-01-10 23:31:24.000000000 +0000
+++ ncurses-5.9-20150117/NEWS	2015-01-17 23:19:11.000000000 +0000
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: NEWS,v 1.2334 2015/01/10 23:31:24 tom Exp $
+-- $Id: NEWS,v 1.2338 2015/01/17 23:19:11 tom Exp $
 -------------------------------------------------------------------------------
 
 This is a log of changes that ncurses has gone through since Zeyd started
@@ -45,6 +45,11 @@
 Changes through 1.9.9e did not credit all contributions;
 it is not possible to add this information.
 
+20150117
+	+ improve description in INSTALL of the --with-versioned-syms option.
+	+ add combination of --with-hashed-db and --with-ticlib to
+	  configurations for ".map" files (report by Werner Fink).
+
 20150110
 	+ add a step to generating ".map" files, to declare any remaining
 	  symbols beginning with "_" as local, at the last version node.
Index: VERSION
--- ncurses-5.9-20150110+/VERSION	2015-01-10 15:40:16.000000000 +0000
+++ ncurses-5.9-20150117/VERSION	2015-01-17 14:20:08.000000000 +0000
@@ -1 +1 @@
-5:0:9	5.9	20150110
+5:0:9	5.9	20150117
Index: dist.mk
Prereq:  1.1025 
--- ncurses-5.9-20150110+/dist.mk	2015-01-10 15:40:16.000000000 +0000
+++ ncurses-5.9-20150117/dist.mk	2015-01-17 14:20:08.000000000 +0000
@@ -25,7 +25,7 @@
 # use or other dealings in this Software without prior written               #
 # authorization.                                                             #
 ##############################################################################
-# $Id: dist.mk,v 1.1025 2015/01/10 15:40:16 tom Exp $
+# $Id: dist.mk,v 1.1027 2015/01/17 14:20:08 tom Exp $
 # Makefile for creating ncurses distributions.
 #
 # This only needs to be used directly as a makefile by developers, but
@@ -37,7 +37,7 @@
 # These define the major/minor/patch versions of ncurses.
 NCURSES_MAJOR = 5
 NCURSES_MINOR = 9
-NCURSES_PATCH = 20150110
+NCURSES_PATCH = 20150117
 
 # We don't append the patch to the version, since this only applies to releases
 VERSION = $(NCURSES_MAJOR).$(NCURSES_MINOR)
Index: package/debian-mingw/changelog
--- ncurses-5.9-20150110+/package/debian-mingw/changelog	2015-01-10 15:40:16.000000000 +0000
+++ ncurses-5.9-20150117/package/debian-mingw/changelog	2015-01-17 14:20:08.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (5.9+20150110) unstable; urgency=low
+ncurses6 (5.9+20150117) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 10 Jan 2015 10:40:16 -0500
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 17 Jan 2015 09:19:54 -0500
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian-mingw64/changelog
--- ncurses-5.9-20150110+/package/debian-mingw64/changelog	2015-01-10 15:40:16.000000000 +0000
+++ ncurses-5.9-20150117/package/debian-mingw64/changelog	2015-01-17 14:20:08.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (5.9+20150110) unstable; urgency=low
+ncurses6 (5.9+20150117) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 10 Jan 2015 10:40:16 -0500
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 17 Jan 2015 09:19:54 -0500
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian/changelog
--- ncurses-5.9-20150110+/package/debian/changelog	2015-01-10 15:40:16.000000000 +0000
+++ ncurses-5.9-20150117/package/debian/changelog	2015-01-17 14:20:08.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (5.9+20150110) unstable; urgency=low
+ncurses6 (5.9+20150117) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 10 Jan 2015 10:40:16 -0500
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 17 Jan 2015 09:19:54 -0500
 
 ncurses6 (5.9-20120608) unstable; urgency=low
 
Index: package/mingw-ncurses.nsi
Prereq:  1.79 
--- ncurses-5.9-20150110+/package/mingw-ncurses.nsi	2015-01-10 15:40:16.000000000 +0000
+++ ncurses-5.9-20150117/package/mingw-ncurses.nsi	2015-01-17 14:20:08.000000000 +0000
@@ -1,4 +1,4 @@
-; $Id: mingw-ncurses.nsi,v 1.79 2015/01/10 15:40:16 tom Exp $
+; $Id: mingw-ncurses.nsi,v 1.81 2015/01/17 14:20:08 tom Exp $
 
 ; TODO add examples
 ; TODO bump ABI to 6
@@ -10,7 +10,7 @@
 !define VERSION_MAJOR "5"
 !define VERSION_MINOR "9"
 !define VERSION_YYYY  "2015"
-!define VERSION_MMDD  "0110"
+!define VERSION_MMDD  "0117"
 !define VERSION_PATCH ${VERSION_YYYY}${VERSION_MMDD}
 
 !define MY_ABI   "5"
Index: package/mingw-ncurses.spec
--- ncurses-5.9-20150110+/package/mingw-ncurses.spec	2015-01-10 15:40:16.000000000 +0000
+++ ncurses-5.9-20150117/package/mingw-ncurses.spec	2015-01-17 14:20:08.000000000 +0000
@@ -3,7 +3,7 @@
 Summary: shared libraries for terminal handling
 Name: mingw32-ncurses6
 Version: 5.9
-Release: 20150110
+Release: 20150117
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: package/ncurses.map
Prereq:  1.30 
--- ncurses-5.9-20150110+/package/ncurses.map	2015-01-10 22:51:45.000000000 +0000
+++ ncurses-5.9-20150117/package/ncurses.map	2015-01-13 00:50:13.000000000 +0000
@@ -1,4 +1,4 @@
-# $Id: ncurses.map,v 1.30 2015/01/10 22:51:45 tom Exp $
+# $Id: ncurses.map,v 1.31 2015/01/13 00:50:13 tom Exp $
 # script for shared library symbol-versioning using ld
 #
 # This file was generated by ncu-mapsyms
@@ -1001,6 +1001,7 @@
 		_nc_db_have_data;
 		_nc_db_next;
 		_nc_db_open;
+		_nc_db_put;
 		_nc_eventlist_timeout;
 		_nc_first_db;
 		_nc_handle_sigwinch;
@@ -1016,7 +1017,6 @@
 	local:
 		_nc_db_get;
 		_nc_db_have_index;
-		_nc_db_put;
 		_nc_hashed_db;
 		_nc_viscbuf2;
 } NCURSES_TINFO_5.5.20051010;
Index: package/ncurses.spec
--- ncurses-5.9-20150110+/package/ncurses.spec	2015-01-10 15:40:16.000000000 +0000
+++ ncurses-5.9-20150117/package/ncurses.spec	2015-01-17 14:20:08.000000000 +0000
@@ -1,7 +1,7 @@
 Summary: shared libraries for terminal handling
 Name: ncurses6
 Version: 5.9
-Release: 20150110
+Release: 20150117
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: package/ncurses.sym
Prereq:  1.18 
--- ncurses-5.9-20150110+/package/ncurses.sym	2015-01-10 20:30:46.000000000 +0000
+++ ncurses-5.9-20150117/package/ncurses.sym	2015-01-12 23:56:35.000000000 +0000
@@ -1,4 +1,4 @@
-# $Id: ncurses.sym,v 1.18 2015/01/10 20:30:46 tom Exp $
+# $Id: ncurses.sym,v 1.19 2015/01/12 23:56:35 tom Exp $
 # script for shared library symbol-visibility using libtool
 #
 # This file was generated by ncu-mapsyms
@@ -66,6 +66,7 @@
 _nc_db_have_data
 _nc_db_next
 _nc_db_open
+_nc_db_put
 _nc_disable_period
 _nc_doalloc
 _nc_entry_match
Index: package/ncursest.map
Prereq:  1.23 
--- ncurses-5.9-20150110+/package/ncursest.map	2015-01-10 22:51:45.000000000 +0000
+++ ncurses-5.9-20150117/package/ncursest.map	2015-01-13 01:06:34.000000000 +0000
@@ -1,4 +1,4 @@
-# $Id: ncursest.map,v 1.23 2015/01/10 22:51:45 tom Exp $
+# $Id: ncursest.map,v 1.24 2015/01/13 01:06:34 tom Exp $
 # script for shared library symbol-versioning using ld
 #
 # This file was generated by ncu-mapsyms
@@ -290,6 +290,7 @@
 		_nc_db_have_data;
 		_nc_db_next;
 		_nc_db_open;
+		_nc_db_put;
 		_nc_eventlist_timeout;
 		_nc_first_db;
 		_nc_handle_sigwinch;
@@ -305,7 +306,6 @@
 	local:
 		_nc_db_get;
 		_nc_db_have_index;
-		_nc_db_put;
 		_nc_hashed_db;
 		_nc_viscbuf2;
 } NCURSES_TINFO_5.5.20051010;
Index: package/ncursest.sym
Prereq:  1.17 
--- ncurses-5.9-20150110+/package/ncursest.sym	2015-01-10 20:40:02.000000000 +0000
+++ ncurses-5.9-20150117/package/ncursest.sym	2015-01-13 01:07:07.000000000 +0000
@@ -1,4 +1,4 @@
-# $Id: ncursest.sym,v 1.17 2015/01/10 20:40:02 tom Exp $
+# $Id: ncursest.sym,v 1.18 2015/01/13 01:07:07 tom Exp $
 # script for shared library symbol-visibility using libtool
 #
 # This file was generated by ncu-mapsyms
@@ -73,6 +73,7 @@
 _nc_db_have_data
 _nc_db_next
 _nc_db_open
+_nc_db_put
 _nc_disable_period
 _nc_doalloc
 _nc_entry_match
Index: package/ncursestw.map
Prereq:  1.24 
--- ncurses-5.9-20150110+/package/ncursestw.map	2015-01-10 22:51:45.000000000 +0000
+++ ncurses-5.9-20150117/package/ncursestw.map	2015-01-13 01:06:34.000000000 +0000
@@ -1,4 +1,4 @@
-# $Id: ncursestw.map,v 1.24 2015/01/10 22:51:45 tom Exp $
+# $Id: ncursestw.map,v 1.25 2015/01/13 01:06:34 tom Exp $
 # script for shared library symbol-versioning using ld
 #
 # This file was generated by ncu-mapsyms
@@ -291,6 +291,7 @@
 		_nc_db_have_data;
 		_nc_db_next;
 		_nc_db_open;
+		_nc_db_put;
 		_nc_eventlist_timeout;
 		_nc_first_db;
 		_nc_handle_sigwinch;
@@ -306,7 +307,6 @@
 	local:
 		_nc_db_get;
 		_nc_db_have_index;
-		_nc_db_put;
 		_nc_hashed_db;
 		_nc_viscbuf2;
 } NCURSES_TINFO_5.5.20051010;
Index: package/ncursestw.sym
Prereq:  1.16 
--- ncurses-5.9-20150110+/package/ncursestw.sym	2015-01-10 20:44:54.000000000 +0000
+++ ncurses-5.9-20150117/package/ncursestw.sym	2015-01-13 01:07:07.000000000 +0000
@@ -1,4 +1,4 @@
-# $Id: ncursestw.sym,v 1.16 2015/01/10 20:44:54 tom Exp $
+# $Id: ncursestw.sym,v 1.17 2015/01/13 01:07:07 tom Exp $
 # script for shared library symbol-visibility using libtool
 #
 # This file was generated by ncu-mapsyms
@@ -74,6 +74,7 @@
 _nc_db_have_data
 _nc_db_next
 _nc_db_open
+_nc_db_put
 _nc_disable_period
 _nc_doalloc
 _nc_entry_match
Index: package/ncursesw.map
Prereq:  1.29 
--- ncurses-5.9-20150110+/package/ncursesw.map	2015-01-10 22:51:46.000000000 +0000
+++ ncurses-5.9-20150117/package/ncursesw.map	2015-01-13 01:06:34.000000000 +0000
@@ -1,4 +1,4 @@
-# $Id: ncursesw.map,v 1.29 2015/01/10 22:51:46 tom Exp $
+# $Id: ncursesw.map,v 1.30 2015/01/13 01:06:34 tom Exp $
 # script for shared library symbol-versioning using ld
 #
 # This file was generated by ncu-mapsyms
@@ -321,6 +321,7 @@
 		_nc_db_have_data;
 		_nc_db_next;
 		_nc_db_open;
+		_nc_db_put;
 		_nc_eventlist_timeout;
 		_nc_first_db;
 		_nc_handle_sigwinch;
@@ -336,7 +337,6 @@
 	local:
 		_nc_db_get;
 		_nc_db_have_index;
-		_nc_db_put;
 		_nc_hashed_db;
 		_nc_viscbuf2;
 } NCURSES_TINFO_5.5.20051010;
Index: package/ncursesw.sym
Prereq:  1.17 
--- ncurses-5.9-20150110+/package/ncursesw.sym	2015-01-10 20:35:38.000000000 +0000
+++ ncurses-5.9-20150117/package/ncursesw.sym	2015-01-13 01:07:07.000000000 +0000
@@ -1,4 +1,4 @@
-# $Id: ncursesw.sym,v 1.17 2015/01/10 20:35:38 tom Exp $
+# $Id: ncursesw.sym,v 1.18 2015/01/13 01:07:07 tom Exp $
 # script for shared library symbol-visibility using libtool
 #
 # This file was generated by ncu-mapsyms
@@ -68,6 +68,7 @@
 _nc_db_have_data
 _nc_db_next
 _nc_db_open
+_nc_db_put
 _nc_disable_period
 _nc_doalloc
 _nc_entry_match
